%define name	libxffm
%define lib_major 3
%define lib_name	%mklibname xffm %{lib_major}
%define develname %mklibname -d xffm
%define version 4.5.0
%define release %mkrel 7

Name: 	 	%{name}
Summary: 	File management library for the xffm applications
Version: 	%{version}
Release: 	%{release}

Source:		http://downloads.sourceforge.net/xffm/%{name}-%{version}.tar.bz2
Patch0:		libxffm-4.5.0-pkg_config.patch

URL:		http://xffm.sf.net
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	xfce-dev-tools
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	intltool
BuildRequires:	libsm-devel
BuildRequires:	glib-gettextize
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	libtubo-devel
BuildRequires:	dbh-devel >= 4.5.0

%description
Libxffm is the basic file management library used by some xffm applications, such as the xffm-filemanager. 

%package -n	%{lib_name}
Summary:	A library of functions for the xffm filemanager
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Conflicts:	libxffm2

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libxffm.

%package -n 	%{develname}
Summary:	Development tools for the xffm filemanager library
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} 
Requires:	gtk2-devel
Requires:	libsm-devel
Requires:	libtubo-devel 
Requires:	dbh-devel >= 4.5.0
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d xffm 3

%description -n %develname
The libxffm-devel package contains the header files and libraries
necessary for developing programs using libxffm.

%prep
%setup -q
%patch0 -p0 -b .pkg_config

%build
aclocal -I /usr/share/xfce4/dev-tools/m4macros -I ./m4
autoconf
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall
%find_lang %name

%clean
rm -rf %{buildroot}

%files -n %{lib_name} -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS* README*
%{_libdir}/libxffm_*.so.*
%{_libdir}/libxffm_*.so
%{_datadir}/pixmaps/*.png
%{_datadir}/xffm

%files -n %develname
%{_includedir}/xffm/*.h
%{_libdir}/pkgconfig/libxffm.pc
%{_libdir}/libxffm_*.la





%changelog
* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 4.5.0-7mdv2008.1
+ Revision: 155532
- fix invalid group
- new devel name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Mon Jan 15 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-6mdv2007.0
+ Revision: 109326
- Add Conflicts libxffm2 (#28198)

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 4.5.0-5mdv2007.1
+ Revision: 108202
- use find-lang

* Sat Jan 13 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-4mdv2007.1
+ Revision: 108169
- Move .so libraries to non-devel (fixes #28126)

* Thu Jan 11 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-3mdv2007.1
+ Revision: 107540
- Typo in last revision
- Fix devel requires again

* Thu Jan 11 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-2mdv2007.1
+ Revision: 107452
- Fix devel provides

* Wed Jan 10 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-1mdv2007.1
+ Revision: 107065
- BuildRequires libsm-devel
- Version dbh BuildRequires
- Fiddle BuildReqs
- BuildRequires dbh
- Add patch0 to fix dbh pkg_config
- First mandriva package
- Create libxffm

